Bug 1299656 - drkonqi gets floating point exception during exit (leave) processing and desktop freezes.
drkonqi gets floating point exception during exit (leave) processing and desk...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
24
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 17:43 EST by George R. Goffe
Modified: 2017-08-08 08:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:40:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gzip'd flat file with logs (3.60 KB, application/x-gzip)
2016-01-18 17:48 EST, George R. Goffe
no flags Details

  None (edit)
Description George R. Goffe 2016-01-18 17:43:47 EST
Description of problem:

Right button poke in desktop and select leave option then poke logout button. After a few minutes a Drkonqi popped up another dialog box with "debug". I poked this button and the desktop froze. System is still running though, and Drkonqi IS RUNNING TOO! No display though.

Version-Release number of selected component (if applicable):
plasma-workspace-drkonqi-5.5.3-5.fc24.x86_64

How reproducible:
Only once so far. I have not retried yet.

Steps to Reproduce:
1.right button poke in desktop then select "leave" option
2.drkonqi pops up with a floating point exception and another popup
3.after poking "debug", desktop froze.

Actual results:


Expected results:


Additional info:
Comment 1 George R. Goffe 2016-01-18 17:48 EST
Created attachment 1115992 [details]
gzip'd flat file with logs

This file contains the output of gdb including the output of a where subcommand. Note that gdb called out 3 debug-info files which are ALREADY installed.

Drkonqi is STILL RUNNING:

strace -xvfp 6514

[pid  6507] read(7, 0x7fbde1a7cac0, 16) = -1 EBADF (Bad file descriptor)
[pid  6507] poll([{fd=7, events=POLLIN}], 1, -1) = 1 ([{fd=7, revents=POLLNVAL}])
[pid  6507] read(7, 0x7fbde1a7cac0, 16) = -1 EBADF (Bad file descriptor)
[pid  6507] poll([{fd=7, events=POLLIN}], 1, -1) = 1 ([{fd=7, revents=POLLNVAL}])
[pid  6507] read(7, 0x7fbde1a7cac0, 16) = -1 EBADF (Bad file descriptor)
[pid  6507] poll([{fd=7, events=POLLIN}], 1, -1) = 1 ([{fd=7, revents=POLLNVAL}])
[pid  6507] read(7, 0x7fbde1a7cac0, 16) = -1 EBADF (Bad file descriptor)
[pid  6507] poll([{fd=7, events=POLLIN}], 1, -1) = 1 ([{fd=7, revents=POLLNVAL}])

Looping?
Comment 2 Jan Kurik 2016-02-24 10:33:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora End Of Life 2017-07-25 15:48:10 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2017-08-08 08:40:49 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.